GNU logs - #50319, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50319: 27.2; crash
Resent-From: Devon Sean McCullough <Emacs-Hacker2020@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Sep 2021 13:32:01 +0000
Resent-Message-ID: <handler.50319.B.163050309326026 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50319
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50319 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.163050309326026
          (code B ref -1); Wed, 01 Sep 2021 13:32:01 +0000
Received: (at submit) by debbugs.gnu.org; 1 Sep 2021 13:31:33 +0000
Received: from localhost ([127.0.0.1]:36681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLQKy-0006li-NG
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 09:31:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:52930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-hacker2020@HIDDEN>) id 1mLQKx-0006la-Jg
 for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 09:31:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50998)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <emacs-hacker2020@HIDDEN>)
 id 1mLQKx-0004h4-C8
 for bug-gnu-emacs@HIDDEN; Wed, 01 Sep 2021 09:31:31 -0400
Received: from gateway32.websitewelcome.com ([192.185.144.98]:20227)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <emacs-hacker2020@HIDDEN>)
 id 1mLQKs-0001n4-J9
 for bug-gnu-emacs@HIDDEN; Wed, 01 Sep 2021 09:31:30 -0400
Received: from cm17.websitewelcome.com (cm17.websitewelcome.com [100.42.49.20])
 by gateway32.websitewelcome.com (Postfix) with ESMTP id 2BFA543301
 for <bug-gnu-emacs@HIDDEN>; Wed,  1 Sep 2021 08:30:58 -0500 (CDT)
Received: from leaf.websitewelcome.com ([192.185.82.99]) by cmsmtp with SMTP
 id LQKQmJn0zMGeELQKQmMm7v; Wed, 01 Sep 2021 08:30:58 -0500
X-Authority-Reason: nr=8
Received: from c-66-31-30-147.hsd1.ma.comcast.net ([66.31.30.147]:63853
 helo=Apples-MacBook-Air.local)
 by leaf.websitewelcome.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.94.2)
 (envelope-from <Emacs-Hacker2020@HIDDEN>) id 1mLQKQ-001cHA-DR
 for bug-gnu-emacs@HIDDEN; Wed, 01 Sep 2021 08:30:58 -0500
From: Devon Sean McCullough <Emacs-Hacker2020@HIDDEN>
Message-ID: <c64199af-e722-9048-b057-2305288fa326@HIDDEN>
Date: Wed, 1 Sep 2021 09:30:57 -0400
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:78.0)
 Gecko/20100101 Thunderbird/78.13.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: no
X-Source-IP: 66.31.30.147
X-Source-L: No
X-Exim-ID: 1mLQKQ-001cHA-DR
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: c-66-31-30-147.hsd1.ma.comcast.net (Apples-MacBook-Air.local)
 [66.31.30.147]:63853
X-Source-Auth: devon2011@HIDDEN
X-Email-Count: 1
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-Local-Domain: yes
Received-SPF: pass client-ip=192.185.144.98;
 envelope-from=emacs-hacker2020@HIDDEN; helo=gateway32.websitewelcome.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Launch Emacs, attach a debugger, use it routinely for many weeks,
switching between various apps, until it dereferences a bad pointer
upon switching from some other app:

(lldb) process attach --pid 24105
⋮
Executable module set to "/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_14".
Architecture set to: x86_64h-apple-macosx-.
⋮
(lldb) Process 24105 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x172505fec)
     frame #0: 0x000000010cdcb104 Emacs-x86_64-10_14`redisplay_window + 4244
Emacs-x86_64-10_14`redisplay_window:
->  0x10cdcb104 <+4244>: movq   -0x14(%rbx), %rcx
     0x10cdcb108 <+4248>: addq   $-0x100, %rbx
     0x10cdcb10f <+4255>: testl  $0x100000, %ecx           ; imm = 0x100000
     0x10cdcb115 <+4261>: je     0x10cdcb0a0               ; <+4144>
Target 0: (Emacs-x86_64-10_14) stopped.
(lldb) bt all
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x172505fec)
   * frame #0: 0x000000010cdcb104 Emacs-x86_64-10_14`redisplay_window + 4244
     frame #1: 0x000000010cdc9799 Emacs-x86_64-10_14`redisplay_window_1 + 41
     frame #2: 0x000000010cec00af Emacs-x86_64-10_14`internal_condition_case_1 + 271
     frame #3: 0x000000010cd9f669 Emacs-x86_64-10_14`redisplay_internal + 4073
     frame #4: 0x000000010ce3d1a5 Emacs-x86_64-10_14`read_char + 2213
     frame #5: 0x000000010ce3ad6a Emacs-x86_64-10_14`read_key_sequence + 1722
     frame #6: 0x000000010ce3956c Emacs-x86_64-10_14`command_loop_1 + 1340
     frame #7: 0x000000010cebff77 Emacs-x86_64-10_14`internal_condition_case + 263
     frame #8: 0x000000010ce496f0 Emacs-x86_64-10_14`command_loop_2 + 48
     frame #9: 0x000000010cebf79b Emacs-x86_64-10_14`internal_catch + 267
     frame #10: 0x000000010cf7daa5 Emacs-x86_64-10_14`command_loop.cold.1 + 69
     frame #11: 0x000000010ce38633 Emacs-x86_64-10_14`command_loop + 131
     frame #12: 0x000000010ce38563 Emacs-x86_64-10_14`recursive_edit_1 + 115
     frame #13: 0x000000010ce387bb Emacs-x86_64-10_14`Frecursive_edit + 347
     frame #14: 0x000000010ce3734c Emacs-x86_64-10_14`main + 7436
     frame #15: 0x00007fff727ad3d5 libdyld.dylib`start + 1
     frame #16: 0x00007fff727ad3d5 libdyld.dylib`start + 1
   thread #2
     frame #0: 0x00007fff728e9616 libsystem_kernel.dylib`__select + 10
     frame #1: 0x000000010cf46e6c Emacs-x86_64-10_14`-[EmacsApp fd_handler:] + 236
     frame #2: 0x00007fff48a789a2 Foundation`__NSThread__start__ + 1194
     frame #3: 0x00007fff729a12eb libsystem_pthread.dylib`_pthread_body + 126
     frame #4: 0x00007fff729a4249 libsystem_pthread.dylib`_pthread_start + 66
     frame #5: 0x00007fff729a040d libsystem_pthread.dylib`thread_start + 13
   thread #3, name = 'com.apple.NSEventThread'
     frame #0: 0x00007fff728e221a libsystem_kernel.dylib`mach_msg_trap + 10
     frame #1: 0x00007fff728e2768 libsystem_kernel.dylib`mach_msg + 60
     frame #2: 0x00007fff46819e0e CoreFoundation`__CFRunLoopServiceMachPort + 328
     frame #3: 0x00007fff4681937c CoreFoundation`__CFRunLoopRun + 1612
     frame #4: 0x00007fff46818ade CoreFoundation`CFRunLoopRunSpecific + 455
     frame #5: 0x00007fff43e16bae AppKit`_NSEventThread + 175
     frame #6: 0x00007fff729a12eb libsystem_pthread.dylib`_pthread_body + 126
     frame #7: 0x00007fff729a4249 libsystem_pthread.dylib`_pthread_start + 66
     frame #8: 0x00007fff729a040d libsystem_pthread.dylib`thread_start + 13
   thread #23550
     frame #0: 0x00007fff728e3bfa libsystem_kernel.dylib`__workq_kernreturn + 10
     frame #1: 0x00007fff729a06e6 libsystem_pthread.dylib`_pthread_wqthread + 634
     frame #2: 0x00007fff729a03fd libsystem_pthread.dylib`start_wqthread + 13
   thread #23551
     frame #0: 0x00007fff728e3bfa libsystem_kernel.dylib`__workq_kernreturn + 10
     frame #1: 0x00007fff729a06e6 libsystem_pthread.dylib`_pthread_wqthread + 634
     frame #2: 0x00007fff729a03fd libsystem_pthread.dylib`start_wqthread + 13
   thread #23552
     frame #0: 0x00007fff728e3bfa libsystem_kernel.dylib`__workq_kernreturn + 10
     frame #1: 0x654d43505853536b
     frame #2: 0x00007fff729a03fd libsystem_pthread.dylib`start_wqthread + 13
   thread #23553
     frame #0: 0x0000000000000000
(lldb)

In GNU Emacs 27.2 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G95))
  of 2021-03-27 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1671
System Description:  Mac OS X 10.14.6

Configured using:
  'configure --with-ns '--enable-locallisppath=/Library/Application
  Support/Emacs/${version}/site-lisp:/Library/Application
  Support/Emacs/site-lisp' --with-modules'




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Devon Sean McCullough <Emacs-Hacker2020@HIDDEN>
Subject: bug#50319: Acknowledgement (27.2; crash)
Message-ID: <handler.50319.B.163050309326026.ack <at> debbugs.gnu.org>
References: <c64199af-e722-9048-b057-2305288fa326@HIDDEN>
X-Gnu-PR-Message: ack 50319
X-Gnu-PR-Package: emacs
Reply-To: 50319 <at> debbugs.gnu.org
Date: Wed, 01 Sep 2021 13:32:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 50319 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50319: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50319
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50319: 27.2; crash
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Sep 2021 14:05:01 +0000
Resent-Message-ID: <handler.50319.B50319.16305050877244 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50319
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Devon Sean McCullough <Emacs-Hacker2020@HIDDEN>
Cc: 50319 <at> debbugs.gnu.org
Received: via spool by 50319-submit <at> debbugs.gnu.org id=B50319.16305050877244
          (code B ref 50319); Wed, 01 Sep 2021 14:05:01 +0000
Received: (at 50319) by debbugs.gnu.org; 1 Sep 2021 14:04:47 +0000
Received: from localhost ([127.0.0.1]:38726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLQr5-0001si-W1
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:04:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mLQqw-0001sL-9b
 for 50319 <at> debbugs.gnu.org; Wed, 01 Sep 2021 10:04:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50504)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mLQqq-0007tn-QP; Wed, 01 Sep 2021 10:04:28 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4412
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mLQqq-0002BE-D9; Wed, 01 Sep 2021 10:04:28 -0400
Date: Wed, 01 Sep 2021 17:04:25 +0300
Message-Id: <837dg0qtna.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <c64199af-e722-9048-b057-2305288fa326@HIDDEN> (message from
 Devon Sean McCullough on Wed, 1 Sep 2021 09:30:57 -0400)
References: <c64199af-e722-9048-b057-2305288fa326@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Devon Sean McCullough <Emacs-Hacker2020@HIDDEN>
> Date: Wed, 1 Sep 2021 09:30:57 -0400
> 
> Launch Emacs, attach a debugger, use it routinely for many weeks,
> switching between various apps, until it dereferences a bad pointer
> upon switching from some other app:
> 
> (lldb) process attach --pid 24105
> ⋮
> Executable module set to "/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_14".
> Architecture set to: x86_64h-apple-macosx-.
> ⋮
> (lldb) Process 24105 stopped
> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x172505fec)
>      frame #0: 0x000000010cdcb104 Emacs-x86_64-10_14`redisplay_window + 4244
> Emacs-x86_64-10_14`redisplay_window:
> ->  0x10cdcb104 <+4244>: movq   -0x14(%rbx), %rcx
>      0x10cdcb108 <+4248>: addq   $-0x100, %rbx
>      0x10cdcb10f <+4255>: testl  $0x100000, %ecx           ; imm = 0x100000
>      0x10cdcb115 <+4261>: je     0x10cdcb0a0               ; <+4144>
> Target 0: (Emacs-x86_64-10_14) stopped.
> (lldb) bt all
> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x172505fec)
>    * frame #0: 0x000000010cdcb104 Emacs-x86_64-10_14`redisplay_window + 4244

Can you show where is this place in xdisp.c?  I'm afraid I cannot
figure that out from the disassembly alone.

Also, what did you do when it segfaulted? just clicked on an Emacs
frame with a mouse?  The backtrace doesn't look like a frame redraw,
it looks like a routine redisplay when Emacs becomes idle.

Thanks.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 4 Sep 2021 07:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 03:00:21 2021
Received: from localhost ([127.0.0.1]:46307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMPf3-0006Gd-8y
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 03:00:21 -0400
Received: from mail-pg1-f182.google.com ([209.85.215.182]:47003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mMPf2-0006A0-Cz
 for control <at> debbugs.gnu.org; Sat, 04 Sep 2021 03:00:20 -0400
Received: by mail-pg1-f182.google.com with SMTP id w7so1211023pgk.13
 for <control <at> debbugs.gnu.org>; Sat, 04 Sep 2021 00:00:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=lYMmWq6QoYQlSo3fVrciSHsQ+jpM/mj0ss+V0+QcW8A=;
 b=b5Qf6nglSvDY65lq5Dd+zmeeqcMalGzkdhPIezZ/pzkIhQoaaVPlIMFnf8ALKrwGJ6
 H6Vqh3LGwJPF0GUidob+oWSmjrwd+D55fxjpQ4Tx7oAZSaH/Epvl+/ac2bceoACxnZ+U
 2oevUrSflOing7bt2jDDHI6/cECblmI65EfBfF1QTi89jBbHXMjHNuHZ0XX1Q8cVgJbh
 NaYJiz3xSMSd29Ssf/UH3rSQUXQiLqXkJFIksl6NQLOu0R86d/1SN9gvYGuGiFEsQ7mv
 0O9NOB4MehNoCRxOPvtfqlxuzJhwlVO2o0pz1Pox5f1f02Ca6mUnjeXguNIg90F3Z4nC
 apJw==
X-Gm-Message-State: AOAM533cF8SXpSTRl8Z82Wpd7A0SWHNvhXvucTEpbkVCon24bAn6PGDN
 jAOAGt8MUwq6r4I0cbaUpMWuZfdlPaXlWfSw/IP2Mekcnr4=
X-Google-Smtp-Source: ABdhPJxv26rYQ/KUYk0ApLJPiUCU1Rav/OtFG2H/drXNeYtZTT4vwtu1juAybjkloFtPXQzcRFI4H4bU2dtudrIJ4sU=
X-Received: by 2002:a63:2243:: with SMTP id t3mr2462653pgm.114.1630738814271; 
 Sat, 04 Sep 2021 00:00:14 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 4 Sep 2021 09:00:03 +0200
Message-ID: <CADwFkmmZrW=kd72b+e0QTzXCor5uvxDJP6tLzXg+ZgVjAUbNvQ@HIDDEN>
Subject: 
To: control <control <at> debbugs.gnu.org>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: tags 50319 + moreinfo tags 50308 + moreinfo tags 50266 +
 fixed tags 50198 + moreinfo thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.182 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.182 listed in wl.mailspike.net]
 2.0 BLANK_SUBJECT          Subject is present but empty
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  tags 50319 + moreinfo tags 50308 + moreinfo tags 50266 + fixed
    tags 50198 + moreinfo thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.182 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.182 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

tags 50319 + moreinfo
tags 50308 + moreinfo
tags 50266 + fixed
tags 50198 + moreinfo
thanks




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50319: 27.2; crash
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 03 Oct 2021 09:41:02 +0000
Resent-Message-ID: <handler.50319.B50319.163325405311904 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50319
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Devon Sean McCullough <Emacs-Hacker2020@HIDDEN>, 50319 <at> debbugs.gnu.org
Received: via spool by 50319-submit <at> debbugs.gnu.org id=B50319.163325405311904
          (code B ref 50319); Sun, 03 Oct 2021 09:41:02 +0000
Received: (at 50319) by debbugs.gnu.org; 3 Oct 2021 09:40:53 +0000
Received: from localhost ([127.0.0.1]:32825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWxzJ-00035w-4E
	for submit <at> debbugs.gnu.org; Sun, 03 Oct 2021 05:40:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mWxzG-00035f-PU
 for 50319 <at> debbugs.gnu.org; Sun, 03 Oct 2021 05:40:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pABDwRIIq461O8SVuS8nhYF0Ra+dhdFsz5BeLGts1Rw=; b=Ra519AeVY3QFpmqqj8TXuFe+XP
 1WVuzgvspAGgul2Jokbw5BCg4UDcvfzHIOGWBu6195uyZi3SJrn0vb6K6S4kreAXsGfFT6+1bbblu
 yADDADoKe7r+Bw3jibOQyYMyfnebYYrrbU/NX+jwOX4xAur8YOsXRvN1sp/SRHU0uawA=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mWxz7-0005Mq-U9; Sun, 03 Oct 2021 11:40:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <c64199af-e722-9048-b057-2305288fa326@HIDDEN>
 <837dg0qtna.fsf@HIDDEN>
X-Now-Playing: Cat Power's _Speaking for Trees_: "Willie Deadwilder"
Date: Sun, 03 Oct 2021 11:40:41 +0200
In-Reply-To: <837dg0qtna.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 01 Sep
 2021 17:04:25 +0300")
Message-ID: <87ilyesaxy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Can you show where
 is this place in xdisp.c? I'm afraid I cannot > figure that out from the
 disassembly
 alone. > > Also, what did you do when it segfaulted? just clicked on an Emacs
 > frame with a m [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Can you show where is this place in xdisp.c?  I'm afraid I cannot
> figure that out from the disassembly alone.
>
> Also, what did you do when it segfaulted? just clicked on an Emacs
> frame with a mouse?  The backtrace doesn't look like a frame redraw,
> it looks like a routine redisplay when Emacs becomes idle.

This was a month ago, but there wasn't any further response to this, so
I think it sounds unlikely that we'll be making any further progress
here, and I'm closing this bug report.  If progress can be made, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 3 Oct 2021 09:40:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 03 05:40:56 2021
Received: from localhost ([127.0.0.1]:32828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWxzM-00036B-BE
	for submit <at> debbugs.gnu.org; Sun, 03 Oct 2021 05:40:56 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mWxzL-00035l-8H
 for control <at> debbugs.gnu.org; Sun, 03 Oct 2021 05:40:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ORbiCvwGhasJPZlCt2RqZZdElLy8TbQRh+DFHzUXU8Y=; b=oVs0721MaoGf8f8sjl8h1pSR5I
 uogE6DxWc3qjwVHjRYsacGpn6kGmfQ7EKiacpGK53KoNNWA1WW9UJZBDOt4IWvDpe81qcDKKlGdAK
 od3Qgi53zv7+J0NKk1IlfDioGGnzvfwEAUNW1/O+w3W5lhurWA4kfr3opJsEdh0FZDLo=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mWxzD-0005Mx-QF
 for control <at> debbugs.gnu.org; Sun, 03 Oct 2021 11:40:49 +0200
Date: Sun, 03 Oct 2021 11:40:47 +0200
Message-Id: <87h7dysaxs.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #50319
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 50319 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

close 50319 
quit






Last modified: Sun, 3 Oct 2021 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.